Package org.springframework.util

# Class ExceptionTypeFilter

java.lang.Object
org.springframework.util.InstanceFilter<Class<? extends Throwable>>
org.springframework.util.ExceptionTypeFilter

public class ExceptionTypeFilter extends InstanceFilter<Class<? extends Throwable>>
An `InstanceFilter` implementation that handles exception types. A type will match against a given candidate if it is assignable to that candidate.

Since:
  4.1
Author:
  Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`ExceptionTypeFilter(Collection<? extends Class<? extends Throwable>> includes, Collection<? extends Class<? extends Throwable>> excludes, boolean matchIfEmpty)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`match(Class<? extends Throwable> instance, Class<? extends Throwable> candidate)`
Determine if the specified `instance` is equal to the specified `candidate`.

### Methods inherited from class org.springframework.util.InstanceFilter

`match, match, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExceptionTypeFilter

public ExceptionTypeFilter(Collection<? extends Class<? extends Throwable>> includes, Collection<? extends Class<? extends Throwable>> excludes, boolean matchIfEmpty)

## Method Details

### match

protected boolean match(Class<? extends Throwable> instance, Class<? extends Throwable> candidate)
Description copied from class: `InstanceFilter`
Determine if the specified `instance` is equal to the specified `candidate`.

Overrides:
  `match` in class `InstanceFilter<Class<? extends Throwable>>`
Parameters:
  `instance` - the instance to handle
  `candidate` - a candidate defined by this filter
Returns:
  `true` if the instance matches the candidate